# Nature submodel

## nature.jl

This file is responsible for managing the animal modules.

```@autodocs
Modules = [Persefone]
Pages = ["nature/nature.jl"]
```

## macros.jl

This file contains all the macros that can be used in the species DSL.

```@autodocs
Modules = [Persefone]
Pages = ["nature/macros.jl"]
```

## individuals.jl

This file contains life-history and other ecological functions that apply to
all animal individuals, such reproduction, death, and movement.

```@autodocs
Modules = [Persefone]
Pages = ["nature/individuals.jl"]
```

## populations.jl

This file contains functions that apply to all animal populations, such as for
initialisation, or querying for neighbours.

```@autodocs
Modules = [Persefone]
Pages = ["nature/populations.jl"]
```

## ecologicaldata.jl

This file contains a set of life-history related utility functions needed by species.

```@autodocs
Modules = [Persefone]
Pages = ["nature/ecologicaldata.jl"]
```
